Package org.eclipse.microprofile.lra

# Class LRAResponse.Builder

java.lang.Object
org.eclipse.microprofile.lra.LRAResponse.Builder

Enclosing class:
  LRAResponse

public static final class LRAResponse.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`compensated()`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`compensated(Object entity)`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`compensating()`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`compensating(Object entity)`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`completed()`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`completed(Object entity)`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`completing()`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`completing(Object entity)`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`failedToCompensate()`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`failedToCompensate(Object entity)`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`failedToComplete()`
`static jakarta.ws.rs.core.Response.ResponseBuilder`
`failedToComplete(Object entity)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### compensated

public static jakarta.ws.rs.core.Response.ResponseBuilder compensated()

### compensated

public static jakarta.ws.rs.core.Response.ResponseBuilder compensated(Object entity)

### compensating

public static jakarta.ws.rs.core.Response.ResponseBuilder compensating()

### compensating

public static jakarta.ws.rs.core.Response.ResponseBuilder compensating(Object entity)

### failedToCompensate

public static jakarta.ws.rs.core.Response.ResponseBuilder failedToCompensate()

### failedToCompensate

public static jakarta.ws.rs.core.Response.ResponseBuilder failedToCompensate(Object entity)

### completed

public static jakarta.ws.rs.core.Response.ResponseBuilder completed()

### completed

public static jakarta.ws.rs.core.Response.ResponseBuilder completed(Object entity)

### completing

public static jakarta.ws.rs.core.Response.ResponseBuilder completing()

### completing

public static jakarta.ws.rs.core.Response.ResponseBuilder completing(Object entity)

### failedToComplete

public static jakarta.ws.rs.core.Response.ResponseBuilder failedToComplete()

### failedToComplete

public static jakarta.ws.rs.core.Response.ResponseBuilder failedToComplete(Object entity)